import pandas as pd
from prompt.utils.json_process import load_json
import os

def get_IHC_data(file_path):
    df = pd.read_excel(file_path)
    return df

def get_IHC2_data(file_path):
    df = pd.read_excel(file_path)
    return df

def get_SBIC_data(file_path):
    df = pd.read_excel(file_path)
    return df

def get_HateExplain_data(file_path):
    data = pd.read_excel(file_path)
    sentences = []
    for i, key in enumerate(data):
        tokens = data[key]["post_tokens"]
        sentence = ' '.join(tokens)
        sentences.append([i+1, sentence])
    writer = pd.ExcelWriter(file_path)
    df = pd.DataFrame(sentences)
    df.columns = ["Unnamed: 0","Unnamed: 1"]
    df.to_excel(writer, index=False)
    writer.close()
    return df

def get_SMTD_data(file_path):
    df = pd.read_excel(file_path)
    return df

def get_DGHS_data(file_path):
    df = pd.read_excel(file_path)
    return df

if __name__ == '__main__':
    df = get_DGHS_data()
    content = df["Unnamed: 1"]
    for sentence in content:
        print(sentence)
